
import { CommonService } from '~/plugins/api/common';

export default () => ({
    recommendConsultantList(){
        const debugData = [
            {
                new: true,
                agentNo: 0,
                name: '張小美',
                img: 'https://randomuser.me/api/portraits/women/31.jpg',
                professionals: ['財務規劃', '資產轉移'],
                satisfaction: 4.8,
                contactStatus: 'reserved',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: true,
                agentNo: 1,
                name: '蔣帥哥',
                img: 'https://randomuser.me/api/portraits/men/32.jpg',
                professionals: [],
                satisfaction: 4,
                contactStatus: 'contacted',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: false,
                agentNo: 2,
                name: '林美女',
                img: 'https://randomuser.me/api/portraits/women/33.jpg',
                professionals: ['財務規劃', '資產轉移'],
                satisfaction: 5,
                contactStatus: 'picked',
                updateTime: 'Tue Oct 12 2021 19:05:02 GMT+0800 (台北標準時間)'
            },
            {
                new: false,
                agentNo: 3,
                name: '蔡美眉',
                img: 'https://randomuser.me/api/portraits/women/34.jpg',
                professionals: ['財務規劃', '資產轉移'],
                satisfaction: 4.3,
                contactStatus: 'picked',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: true,
                agentNo: 4,
                name: '張小美',
                img: 'https://randomuser.me/api/portraits/women/35.jpg',
                professionals: [],
                satisfaction: 4.8,
                contactStatus: 'picked',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: true,
                agentNo: 5,
                name: '蔣帥哥',
                img: 'https://randomuser.me/api/portraits/men/36.jpg',
                professionals: ['財務規劃', '資產轉移'],
                satisfaction: 4.8,
                contactStatus: 'reserved',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: false,
                agentNo: 6,
                name: '林美女',
                img: 'https://randomuser.me/api/portraits/women/37.jpg',
                professionals: ['財務規劃', '資產移轉', '節稅', '樂活退休'],
                satisfaction: 4.8,
                contactStatus: 'picked',
                updateTime: 'Tue Nov 02 2021 10:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: false,
                agentNo: 7,
                name: '蔡美眉',
                img: 'https://randomuser.me/api/portraits/women/38.jpg',
                professionals: ['財務規劃', '節稅', '樂活退休'],
                satisfaction: 4.8,
                contactStatus: 'picked',
                updateTime: 'Tue Sep 02 2021 09:40:02 GMT+0800 (台北標準時間)'
            }
        ]
        return CommonService.prototype.withDebugData(debugData, 'https://randomuser.me/api/')
    }
})

export interface Agents {
    agentNo: number,
    name: string,
    img: string,
    new: boolean,
    satisfaction: number,
    professionals: string[],
    contactStatus: string,
    updateTime: Date
  }